Summary:	Controls the robotic mechanism in DDS Tape drive autoloaders
Name:		mtx
Version:	1.3.12
Release:	%mkrel 12
Group:		Archiving/Backup
License:	GPLv2
URL:		https://sourceforge.net/projects/mtx
Source0:	ftp://ftp.opensource-sw.net/pub/mtx/development/%{name}-%{version}.tar.gz

%description
The MTX program controls the robotic mechanism in autoloaders and tape
libraries such as the HP SureStore DAT 40x6, Exabyte EZ-17, and
Exabyte 220. This program is also reported to work with a variety of
other tape libraries and autochangers from ADIC, Tandberg/Overland,
Breece Hill, HP, and Seagate.

If you have a backup tape device capable of handling more than one
tape at a time, you should install MTX.

%prep
%setup -q

%build
%configure \
    --sbindir=/sbin

%make_build

%install
%makeinstall sbindir=%{buildroot}/sbin

install -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -m0644 debian/bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%files
%doc CHANGES COMPATABILITY contrib FAQ LICENSE LICENSE.html
%doc mtx.doc mtxl.README.html README TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
/sbin/*
%{_mandir}/man1/*


%changelog
* Sun Jun 28 2020 joequant <joequant> 1.3.12-12.mga8
+ Revision: 1599933
- fix gcc10 build
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.3.12-11.mga8
+ Revision: 1515256
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.12-10.mga7
+ Revision: 1299645
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 1.3.12-9.mga7
+ Revision: 1236170
- fix build on aarch64
+ kekepower <kekepower>
- Use make_build

* Thu Feb 04 2016 umeabot <umeabot> 1.3.12-8.mga6
+ Revision: 934575
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.12-7.mga5
+ Revision: 750984
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.12-6.mga5
+ Revision: 682687
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.12-5.mga4
+ Revision: 518028
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.12-4.mga3
+ Revision: 360480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 1.3.12-3.mga1
+ Revision: 63215
- imported package mtx

